Page MenuHomePhabricator

Score causes InvalidArgumentException from line 183 of /srv/mediawiki/php-1.31.0-wmf.17/includes/filebackend/FileBackendGroup.php: No backend defined with the name ``.
Closed, ResolvedPublic

Description

https://fr.wikisource.org/wiki/Le_Roi_d%E2%80%99Yvetot
[WmCIHQpAMFAAAES6KqkAAACW] 2018-01-18 11:42:24: Erreur fatale de type « InvalidArgumentException »

En English: [WmCIHQpAMFAAAES6KqkAAACW] 2018-01-18 11:42:24: Fatal error of type « InvalidArgumentException »

Details

Related Gerrit Patches:
mediawiki/extensions/Score : wmf/1.31.0-wmf.17Always pass FileBackend instance to `new FileRepo()`
mediawiki/extensions/Score : masterAlways pass FileBackend instance to `new FileRepo()`

Event Timeline

Yann created this task.Jan 18 2018, 11:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2018, 11:49 AM
Legoktm added a subscriber: Legoktm.
2018-01-18 11:42:24 [WmCIHQpAMFAAAES6KqkAAACW] mw1245 frwikisource 1.31.0-wmf.17 exception ERROR: [WmCIHQpAMFAAAES6KqkAAACW] /wiki/Le_Roi_d%E2%80%99Yvetot   InvalidArgumentException from line 183 of /srv/mediawiki/php-1.31.0-wmf.17/includes/filebackend/FileBackendGroup.php: No backend defined with the name ``. {"exception_id":"WmCIHQpAMFAAAES6KqkAAACW","exception_url":"/wiki/Le_Roi_d%E2%80%99Yvetot","caught_by":"mwe_handler"} 
[Exception InvalidArgumentException] (/srv/mediawiki/php-1.31.0-wmf.17/includes/filebackend/FileBackendGroup.php:183) No backend defined with the name ``.
  #0 /srv/mediawiki/php-1.31.0-wmf.17/includes/filebackend/FileBackendGroup.php(155): FileBackendGroup->config(NULL)
  #1 /srv/mediawiki/php-1.31.0-wmf.17/includes/filerepo/FileRepo.php(155): FileBackendGroup->get(NULL)
  #2 /srv/mediawiki/php-1.31.0-wmf.17/extensions/Score/includes/Score.php(1038): FileRepo->__construct(array)
  #3 /srv/mediawiki/php-1.31.0-wmf.17/extensions/Score/includes/Score.php(921): Score::getLength(string)
  #4 /srv/mediawiki/php-1.31.0-wmf.17/extensions/Score/includes/Score.php(471): Score::generateAudio(string, array, string, array)
  #5 /srv/mediawiki/php-1.31.0-wmf.17/extensions/Score/includes/Score.php(343): Score::generateHTML(Parser, string, array)
  #6 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(3869): Score::render(string, array, Parser, PPTemplateFrame_Hash)
  #7 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Preprocessor_Hash.php(1176): Parser->extensionSubstitution(array, PPTemplateFrame_Hash)
  #8 /srv/mediawiki/php-1.31.0-wmf.17/extensions/LabeledSectionTransclusion/LabeledSectionTransclusion.class.php(411): PPFrame_Hash->expand(PPNode_Hash_Tree)
  #9 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(3407): LabeledSectionTransclusion::pfuncIncludeObj(Parser, PPFrame_Hash, array)
  #10 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(3108): Parser->callParserFunction(PPFrame_Hash, string, array)
  #11 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Preprocessor_Hash.php(1102): Parser->braceSubstitution(array, PPFrame_Hash)
  #12 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(2923): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
  #13 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(1282): Parser->replaceVariables(string)
  #14 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(646): Parser->internalParse(string, boolean, boolean)
  #15 /srv/mediawiki/php-1.31.0-wmf.17/extensions/ProofreadPage/includes/Parser/PagesTagParser.php(321): Parser->recursiveTagParse(string)
  #16 /srv/mediawiki/php-1.31.0-wmf.17/extensions/ProofreadPage/includes/Parser/ParserEntryPoint.php(38): ProofreadPage\Parser\PagesTagParser->render(NULL, array)
  #17 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(3869): ProofreadPage\Parser\ParserEntryPoint::renderPagesTag(NULL, array, Parser, PPFrame_Hash)
  #18 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Preprocessor_Hash.php(1176): Parser->extensionSubstitution(array, PPFrame_Hash)
  #19 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(2923): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
  #20 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(1282): Parser->replaceVariables(string)
  #21 /srv/mediawiki/php-1.31.0-wmf.17/includes/parser/Parser.php(443): Parser->internalParse(string)
  #22 /srv/mediawiki/php-1.31.0-wmf.17/includes/content/WikitextContent.php(329): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
  #23 /srv/mediawiki/php-1.31.0-wmf.17/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
  #24 /srv/mediawiki/php-1.31.0-wmf.17/includes/poolcounter/PoolWorkArticleView.php(145): AbstractContent->getParserOutput(Title, integer, ParserOptions)
  #25 /srv/mediawiki/php-1.31.0-wmf.17/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
  #26 /srv/mediawiki/php-1.31.0-wmf.17/includes/page/Article.php(597): PoolCounterWork->execute()
  #27 /srv/mediawiki/php-1.31.0-wmf.17/includes/actions/ViewAction.php(68): Article->view()
  #28 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(500): ViewAction->show()
  #29 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
  #30 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(858): MediaWiki->performRequest()
  #31 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(524): MediaWiki->main()
  #32 /srv/mediawiki/php-1.31.0-wmf.17/index.php(42): MediaWiki->run()
  #33 /srv/mediawiki/w/index.php(3): include(string)
  #34 {main}
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptJan 18 2018, 11:51 AM
Legoktm renamed this task from InvalidArgumentException to Score causes InvalidArgumentException from line 183 of /srv/mediawiki/php-1.31.0-wmf.17/includes/filebackend/FileBackendGroup.php: No backend defined with the name ``..Jan 18 2018, 11:52 AM

Change 404969 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Score@master] Always pass FileBackend instance to new FileRepo()

https://gerrit.wikimedia.org/r/404969

Change 404969 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Always pass FileBackend instance to new FileRepo()

https://gerrit.wikimedia.org/r/404969

Legoktm triaged this task as Unbreak Now! priority.Jan 18 2018, 1:20 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 18 2018, 1:20 PM

Change 405029 had a related patch set uploaded (by Jforrester; owner: Legoktm):
[mediawiki/extensions/Score@wmf/1.31.0-wmf.17] Always pass FileBackend instance to new FileRepo()

https://gerrit.wikimedia.org/r/405029

Change 405029 merged by jenkins-bot:
[mediawiki/extensions/Score@wmf/1.31.0-wmf.17] Always pass FileBackend instance to new FileRepo()

https://gerrit.wikimedia.org/r/405029

Mentioned in SAL (#wikimedia-operations) [2018-01-18T20:09:22Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.17/extensions/Score/includes/Score.php: SWAT: [[gerrit:405029|Always pass FileBackend instance to new FileRepo()]] T185204 (duration: 01m 12s)

greg added a subscriber: greg.Jan 22 2018, 6:23 PM

resolvable?

Legoktm closed this task as Resolved.Jan 22 2018, 6:25 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM